Package org.apache.groovy.ginq.provider.collection.runtime

# Class RowBound

java.lang.Object
org.apache.groovy.ginq.provider.collection.runtime.RowBound

All Implemented Interfaces:
  `Serializable`

public class RowBound extends Object
Represents row bounds of window frame

Since:
  4.0.0
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final RowBound`
  `DEFAULT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RowBound(Long lower, Long upper)`
  Construct a new RowBound instance with lower and upper frame bounds

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Long`
  `getLower()`
  Returns the lower frame bound
  `Long`
  `getUpper()`
  Returns the upper frame bound

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT

    public static final RowBound DEFAULT

- ## Constructor Details

  - ### RowBound

    public RowBound(Long lower, Long upper)
    Construct a new RowBound instance with lower and upper frame bounds
    Parameters:
      `lower` - the lower frame bound
      `upper` - the upper frame bound
    Since:
      4.0.0

- ## Method Details

  - ### getLower

    public Long getLower()
    Returns the lower frame bound
    Returns:
      the lower frame bound
    Since:
      4.0.0

  - ### getUpper

    public Long getUpper()
    Returns the upper frame bound
    Returns:
      the upper frame bound
    Since:
      4.0.0